Subject: 28.0.50; Isearch should show messages at the end of search prompt

From: Juri Linkov <[email-masked]>
Date: Wed, 15 Jan 2020 01:55:05 +0200

Version: 28.0.50
Severity: wishlist

When isearch-mode is active, messages should not overwrite the search prompt.

Currently there is a mechanism to display Isearch error messages at the
end of the search prompt.  Also set/clear-messages can be intercepted
with the help of message functions.  These two should be combined
to play nicely together, e.g. by improving set-minibuffer-message
to take into account the active isearch-mode.